Available futures coins
curl --request GET \
--url https://www.sharpe.ai/api/v1/futures/coins \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sharpe.ai/api/v1/futures/coins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.sharpe.ai/api/v1/futures/coins"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"coins": [
{
"baseCoin": "<string>",
"displayName": "<string>",
"hasOI": true,
"hasFunding": true,
"hasLiquidations": true,
"hasLongShort": true,
"hasCVD": true,
"hasBasis": true,
"venueCount": 123,
"venues": [
"<string>"
],
"marketCapRank": 123
}
]
},
"meta": {
"request_id": "req_a1b2c3d4e5f6g7h8i9j0",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_ms": 1,
"dataset_id": "funding_rates_current",
"as_of": "2023-11-07T05:31:56Z",
"stale_after": "2023-11-07T05:31:56Z",
"freshness_sla_seconds": 123,
"freshness_status": "fresh",
"runtime_status": "ok",
"served_from": "snapshot",
"generated_at": "2023-11-07T05:31:56Z",
"source": [
"<string>"
],
"coverage": {
"expected": 123,
"used": 123,
"dropped": {},
"missing": [
"<string>"
]
},
"warnings": [
"<string>"
],
"truncated": true
}
}
Derivatives
Available futures coins
Returns up to 1000 coins with futures data, including funding, open-interest, liquidation, long/short, CVD, and dated-basis capability flags plus observed venue coverage and market-cap rank.
GET
/
v1
/
futures
/
coins
Available futures coins
curl --request GET \
--url https://www.sharpe.ai/api/v1/futures/coins \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sharpe.ai/api/v1/futures/coins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.sharpe.ai/api/v1/futures/coins"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"coins": [
{
"baseCoin": "<string>",
"displayName": "<string>",
"hasOI": true,
"hasFunding": true,
"hasLiquidations": true,
"hasLongShort": true,
"hasCVD": true,
"hasBasis": true,
"venueCount": 123,
"venues": [
"<string>"
],
"marketCapRank": 123
}
]
},
"meta": {
"request_id": "req_a1b2c3d4e5f6g7h8i9j0",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_ms": 1,
"dataset_id": "funding_rates_current",
"as_of": "2023-11-07T05:31:56Z",
"stale_after": "2023-11-07T05:31:56Z",
"freshness_sla_seconds": 123,
"freshness_status": "fresh",
"runtime_status": "ok",
"served_from": "snapshot",
"generated_at": "2023-11-07T05:31:56Z",
"source": [
"<string>"
],
"coverage": {
"expected": 123,
"used": 123,
"dropped": {},
"missing": [
"<string>"
]
},
"warnings": [
"<string>"
],
"truncated": true
}
}
Authorizations
BearerAuthApiKeyAuth

